Package com.collibra.dgc.importer.api.request

# Class FindSynchronizationRequest

Object
PagedRequest
FindSynchronizationRequest

All Implemented Interfaces:
  `Serializable`

public class FindSynchronizationRequest extends PagedRequest
The search criteria for synchronization information.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored. The returned synchronization information satisfy all constraints that are specified in this search criteria. By default, a result containing 1000 synchronization infos is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindSynchronizationRequest.FindSynchronizationRequestBuilder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindSynchronizationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindSynchronizationRequest.FindSynchronizationRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindSynchronizationRequest

    public FindSynchronizationRequest()

- ## Method Details

  - ### builder

    public static FindSynchronizationRequest.FindSynchronizationRequestBuilder builder()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`